Mount Folder
The current user mounts the designated folder.
Mount a shared folder for a user after they have been added as a member. Once mounted, the shared folder will appear in their Dropbox.
Required scope: sharing.write
Endpoint format: RPC
Authentication: User
This endpoint does not support apps with the app folder permission.
Authentication
OAuth 2.0 token issued to a specific user. Use Authorization: Bearer <token>.
Public clients should use the authorization code flow with PKCE (S256).
For background or offline access, send token_access_type=offline during authorization and use the returned refresh token to obtain new access tokens.
You can generate a short-lived access token from the App Console; see Testing with a generated token.
Headers
Acts on behalf of a team member for supported user-auth operations. Pass a team member ID such as dbmid:.... When used with a team token, that token must also include the team_data.member scope.
Scopes path-based operations to a namespace (root). The value is a JSON serialization of the common.PathRoot union: {".tag": "home"}, {".tag": "root", "root": "<namespace_id>"}, or {".tag": "namespace_id", "namespace_id": "<namespace_id>"}. On failure the request returns 422 with a common.PathRootError.
Request
Response headers
Response
The collaborator is the owner of the shared folder. Owners can view and edit the shared folder as well as set the folder’s policies using update_folder_policy.
Whether this folder is a team folder.
The lower-cased full path of this shared folder. Absent for unmounted folders.